# Class StiltsInvoker

java.lang.Object
uk.ac.starlink.topcat.StiltsInvoker

public class StiltsInvoker extends Object
Defines a way of invoking the STILTS command.

Since:
  22 Sep 2017
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StiltsInvoker`
`CLASSPATH`
Instance using "java" command.
`static final StiltsInvoker[]`
`INVOKERS`
List of all known invokers.
`static final StiltsInvoker`
`STILTS`
Instance using "stilts" command.
`static final StiltsInvoker`
`TOPCAT`
Instance using "topcat" command.

## Constructor Summary

Constructors
Constructor
Description
`StiltsInvoker(String name, uk.ac.starlink.ttools.task.CredibleString invocation)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.ttools.task.CredibleString`
`getInvocation()`
Returns the invocation string.
`String`
`toString()`
Returns name for presentation to user.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### STILTS

public static final StiltsInvoker STILTS
Instance using "stilts" command.

### TOPCAT

public static final StiltsInvoker TOPCAT
Instance using "topcat" command.

### CLASSPATH

public static final StiltsInvoker CLASSPATH
Instance using "java" command.

### INVOKERS

public static final StiltsInvoker[] INVOKERS
List of all known invokers.

## Constructor Details

### StiltsInvoker

public StiltsInvoker(String name, uk.ac.starlink.ttools.task.CredibleString invocation)
Constructor.

Parameters:
  `name` - invoker name for presentation to the user
  `invocation` - invocation text

## Method Details

### getInvocation

public uk.ac.starlink.ttools.task.CredibleString getInvocation()
Returns the invocation string.

Returns:
  invocation string, including trailing whitespace

### toString

public String toString()
Returns name for presentation to user.

Overrides:
  `toString` in class `Object`